Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.coordinate
Class SplineCurveForm

    Object
      CodeList<SplineCurveForm>
          SplineCurveForm

All Implemented Interfaces:
  Serializable, Comparable<SplineCurveForm>

    @UML(identifier="GM_SplineCurveForm",
         specification=ISO_19107)
    public final class SplineCurveForm

extends CodeList<SplineCurveForm>

Indicates which sort of curve may be approximated by a particular B-spline.

Since:
  GeoAPI 2.0
Version:
  ISO 19107
See Also:
  Serialized Form

Field Summary
`static SplineCurveForm` | `CIRCULAR_ARC` An arc of a circle or a complete circle.
`static SplineCurveForm` | `ELLIPTICAL_ARC` An arc of an ellipse or a complete ellipse.
`static SplineCurveForm` | `HYPERBOLIC_ARC` An arc of a finite length of one branch of a hyperbola.
`static SplineCurveForm` | `PARABOLIC_ARC` An arc of a finite length of a parabola.
`static SplineCurveForm` | `POLYLINE_FORM` A connected sequence of line segments represented by a 1 degree B-spline (a line string).

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static SplineCurveForm` | `valueOf(String code)` Returns the SplineCurveForm that matches the given string, or returns a new one if none match it.
`static SplineCurveForm[]` | `values()` Returns the list of `SplineCurveForm`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### POLYLINE_FORM

    @UML(identifier="polylineForm",
         obligation=CONDITIONAL,
         specification=ISO_19107)
    public static final SplineCurveForm POLYLINE_FORM

  A connected sequence of line segments represented by a 1 degree B-spline (a line string).

### CIRCULAR_ARC

    @UML(identifier="circularArc",
         obligation=CONDITIONAL,
         specification=ISO_19107)
    public static final SplineCurveForm CIRCULAR_ARC

  An arc of a circle or a complete circle.

### ELLIPTICAL_ARC

    @UML(identifier="ellipticalArc",
         obligation=CONDITIONAL,
         specification=ISO_19107)
    public static final SplineCurveForm ELLIPTICAL_ARC

  An arc of an ellipse or a complete ellipse.

### PARABOLIC_ARC

    @UML(identifier="parabolicArc",
         obligation=CONDITIONAL,
         specification=ISO_19107)
    public static final SplineCurveForm PARABOLIC_ARC

  An arc of a finite length of a parabola.

### HYPERBOLIC_ARC

    @UML(identifier="hyperbolicArc",
         obligation=CONDITIONAL,
         specification=ISO_19107)
    public static final SplineCurveForm HYPERBOLIC_ARC

  An arc of a finite length of one branch of a hyperbola.

Method Detail

### values

    public static SplineCurveForm[] values()

  Returns the list of `SplineCurveForm`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<SplineCurveForm>`

### valueOf

    public static SplineCurveForm valueOf(String code)

  Returns the SplineCurveForm that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.